Go to the latest version of this document.

# ``twisted`.`words`.`protocols`.`jabber`.`sasl_mechanisms`.`Plain``

class documentation

`class Plain: (source)`

Constructor: `Plain(authzid, authcid, password)`

Implements interfaces: `twisted.words.protocols.jabber.sasl_mechanisms.ISASLMechanism`

View In Hierarchy

Implements the PLAIN SASL authentication mechanism.

The PLAIN SASL authentication mechanism is defined in RFC 2595.

Method | `__init__` | No summary
Method | `getInitialResponse` | Get the initial client response, if defined for this mechanism.
Method | `getResponse` | Get the response to a server challenge.
Class Variable | `name` | Common name for the SASL Mechanism.
Instance Variable | `authcid` | Undocumented
Instance Variable | `authzid` | Undocumented
Instance Variable | `password` | Undocumented

def __init__(self, authzid, authcid, password): (source)

Parameters
authzid:`unicode` | The authorization identity.
authcid:`unicode` | The authentication identity.
password:`unicode` | The plain-text password.

def getInitialResponse(self): (source)
from `twisted.words.protocols.jabber.sasl_mechanisms.ISASLMechanism`

Get the initial client response, if defined for this mechanism.

Returns
`str`. | initial client response string.

def getResponse(self, challenge): (source)
from `twisted.words.protocols.jabber.sasl_mechanisms.ISASLMechanism`

Get the response to a server challenge.

Parameters
challenge:`str`. | server challenge.

Returns
`str`. | client response.

name: `str` = (source)
from `twisted.words.protocols.jabber.sasl_mechanisms.ISASLMechanism`

Common name for the SASL Mechanism.

authcid = (source)

Undocumented

authzid = (source)

Undocumented

password = (source)

Undocumented